This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 436199 - Not possible to do a build on ppc outside of brew
Not possible to do a build on ppc outside of brew
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: eclipse (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Alexander Kurtakov
desktop-bugs@redhat.com
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 15:59 EST by Suzanne Hillman
Modified: 2013-03-11 15:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 15:44:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2008-03-05 15:59:25 EST
Description of problem:
Not possible to do a build on ppc outside of brew. From the errata:

(devel)
It looks like maybe this is some sort of wackiness between the host arch and the
target of the build?

extracting debug info from
/var/tmp/eclipse-3.2.1-19.el5-buildroot/usr/lib64/gcj/eclipse/org.eclipse.pde.runtime_3.2.0.v20060605.jar.so
                                            ^^^^^

File not found by glob:
/var/tmp/eclipse-3.2.1-19.el5-buildroot/usr/lib/gcj/eclipse/org.eclipse.pde.runtime_*
                                            ^^^

I've always had a hard time reproducing pure ppc{64,32} builds outside of the
buildsystem, FWIW.


(me)
Hmm. I did try specifying ppc64, and it just gave:

BUILD FAILED
/usr/src/redhat/BUILD/eclipse-3.2.1/build.xml:237: The following error occurred
while executing this line:
/usr/src/redhat/BUILD/eclipse-3.2.1/build.xml:8: The following error occurred
while executing this line:
/usr/src/redhat/BUILD/eclipse-3.2.1/features/org.eclipse.sdk/build.xml:114:
Duplicate target 'rootFileslinux_gtk_ppc'

Total time: 11 seconds
error: Bad exit status from /var/tmp/rpm-tmp.34891 (%build)


(devel)
I'm not entirely sure I've ever successfully done a ppc (or ppc64) build outside
of brew.  It should work, of course, but there are issues around --target and
--arch and ant variables like buildArch, etc.


Version-Release number of selected component (if applicable):
eclipse-3.2.1-19.el5

How reproducible:
Always

Steps to Reproduce:
1. Use tps-srpmtest or try to run rpmbuild --rebuild   --define "dist .el5"
--target=ppc64
/mnt/redhat/brewroot/packages/eclipse/3.2.1/19.el5/src/eclipse-3.2.1-19.el5.src.rpm
  
Actual results:
Fails, see above.

Expected results:
Should work.

Additional info:
Probably not a regression.
Comment 3 Alexander Kurtakov 2013-03-11 15:44:29 EDT
RHEL 5 has ended Production Phase 1 and thus only security bugfixes from this point on. Please use Eclipse from RHEL 6 if you need newer Eclipse version.

Note You need to log in before you can comment on or make changes to this bug.